[pkg-kolab] r1158 - kolab-webclient/trunk/debian

mparent-guest at alioth.debian.org mparent-guest at alioth.debian.org
Sun Jan 25 20:24:46 UTC 2009


Author: mparent-guest
Date: 2009-01-25 20:24:46 +0000 (Sun, 25 Jan 2009)
New Revision: 1158

Added:
   kolab-webclient/trunk/debian/kolab-webclient.dirs
   kolab-webclient/trunk/debian/kolab-webclient.postinst
   kolab-webclient/trunk/debian/kolab-webclient.postrm
   kolab-webclient/trunk/debian/kolab-webclient.preinst
Removed:
   kolab-webclient/trunk/debian/dirs
   kolab-webclient/trunk/debian/postinst
   kolab-webclient/trunk/debian/postrm
   kolab-webclient/trunk/debian/preinst
Log:
Rename files to the specific package


Deleted: kolab-webclient/trunk/debian/dirs
===================================================================
--- kolab-webclient/trunk/debian/dirs	2009-01-25 20:13:40 UTC (rev 1157)
+++ kolab-webclient/trunk/debian/dirs	2009-01-25 20:24:46 UTC (rev 1158)
@@ -1,5 +0,0 @@
-var/lib/kolab-webclient
-var/lib/kolab-webclient/tmp
-var/lib/kolab-webclient/storage
-var/log/kolab-webclient
-

Copied: kolab-webclient/trunk/debian/kolab-webclient.dirs (from rev 1149, kolab-webclient/trunk/debian/dirs)
===================================================================
--- kolab-webclient/trunk/debian/kolab-webclient.dirs	                        (rev 0)
+++ kolab-webclient/trunk/debian/kolab-webclient.dirs	2009-01-25 20:24:46 UTC (rev 1158)
@@ -0,0 +1,5 @@
+var/lib/kolab-webclient
+var/lib/kolab-webclient/tmp
+var/lib/kolab-webclient/storage
+var/log/kolab-webclient
+


Property changes on: kolab-webclient/trunk/debian/kolab-webclient.dirs
___________________________________________________________________
Name: svn:mergeinfo
   + 

Copied: kolab-webclient/trunk/debian/kolab-webclient.postinst (from rev 1149, kolab-webclient/trunk/debian/postinst)
===================================================================
--- kolab-webclient/trunk/debian/kolab-webclient.postinst	                        (rev 0)
+++ kolab-webclient/trunk/debian/kolab-webclient.postinst	2009-01-25 20:24:46 UTC (rev 1158)
@@ -0,0 +1,60 @@
+#!/bin/sh
+# postinst script for kolab-webclient
+#
+# see: dh_installdeb(1)
+
+set -e
+
+initialize_horde_db() {
+	sqlite /var/lib/kolab-webclient/storage/horde.db < /usr/share/kolab-webclient/scripts/sql/groupware.sql
+}
+
+configure_apache() {
+	if command -v invoke-rc.d >/dev/null 2>&1; then
+		invoke-rc.d apache2 force-reload || :
+	else
+		[ -x /etc/init.d/apache2 ] && /etc/init.d/apache2 force-reload || :
+	fi
+}
+
+configure_kolab() {
+	if command -v kolabconf >/dev/null 2>&1; then
+		kolabconf || :
+	fi
+}
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+        initialize_horde_db
+        configure_apache
+        configure_kolab
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

Copied: kolab-webclient/trunk/debian/kolab-webclient.postrm (from rev 1149, kolab-webclient/trunk/debian/postrm)
===================================================================
--- kolab-webclient/trunk/debian/kolab-webclient.postrm	                        (rev 0)
+++ kolab-webclient/trunk/debian/kolab-webclient.postrm	2009-01-25 20:24:46 UTC (rev 1158)
@@ -0,0 +1,51 @@
+#!/bin/sh
+# postrm script for #PACKAGE#
+#
+# see: dh_installdeb(1)
+
+set -e
+
+horde_config=/etc/horde
+
+rm_diversion() {
+  dpkg-divert --package kolab-webclient --rename --remove "$1"
+}
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <overwriter>
+#          <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+        rm_diversion $horde_config/dimp1/conf.php
+        rm_diversion $horde_config/horde3/conf.php
+        rm_diversion $horde_config/imp4/conf.php
+        rm_diversion $horde_config/ingo1/conf.php
+        rm_diversion $horde_config/kronolith2/conf.php
+        rm_diversion $horde_config/mnemo2/conf.php
+        rm_diversion $horde_config/nag2/conf.php
+        rm_diversion $horde_config/turba2/conf.php
+    ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0


Property changes on: kolab-webclient/trunk/debian/kolab-webclient.postrm
___________________________________________________________________
Name: svn:mergeinfo
   + 

Copied: kolab-webclient/trunk/debian/kolab-webclient.preinst (from rev 1149, kolab-webclient/trunk/debian/preinst)
===================================================================
--- kolab-webclient/trunk/debian/kolab-webclient.preinst	                        (rev 0)
+++ kolab-webclient/trunk/debian/kolab-webclient.preinst	2009-01-25 20:24:46 UTC (rev 1158)
@@ -0,0 +1,50 @@
+#!/bin/sh
+# preinst script for #PACKAGE#
+#
+# see: dh_installdeb(1)
+
+set -e
+
+horde_config=/etc/horde
+
+add_diversion() {
+    dpkg-divert --package kolab-webclient --add --rename \
+        --divert "$1.pre-kolab-webclient" "$1"
+}
+
+# summary of how this script can be called:
+#        * <new-preinst> `install'
+#        * <new-preinst> `install' <old-version>
+#        * <new-preinst> `upgrade' <old-version>
+#        * <old-preinst> `abort-upgrade' <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    install|upgrade)
+        add_diversion $horde_config/dimp1/conf.php
+        add_diversion $horde_config/horde3/conf.php
+        add_diversion $horde_config/imp4/conf.php
+        add_diversion $horde_config/ingo1/conf.php
+        add_diversion $horde_config/kronolith2/conf.php
+        add_diversion $horde_config/mnemo2/conf.php
+        add_diversion $horde_config/nag2/conf.php
+        add_diversion $horde_config/turba2/conf.php
+    ;;
+
+    abort-upgrade)
+    ;;
+
+    *)
+        echo "preinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0


Property changes on: kolab-webclient/trunk/debian/kolab-webclient.preinst
___________________________________________________________________
Name: svn:mergeinfo
   + 

Deleted: kolab-webclient/trunk/debian/postinst
===================================================================
--- kolab-webclient/trunk/debian/postinst	2009-01-25 20:13:40 UTC (rev 1157)
+++ kolab-webclient/trunk/debian/postinst	2009-01-25 20:24:46 UTC (rev 1158)
@@ -1,60 +0,0 @@
-#!/bin/sh
-# postinst script for kolab-webclient
-#
-# see: dh_installdeb(1)
-
-set -e
-
-initialize_horde_db() {
-	sqlite /var/lib/kolab-webclient/storage/horde.db < /usr/share/kolab-webclient/scripts/sql/groupware.sql
-}
-
-configure_apache() {
-	if command -v invoke-rc.d >/dev/null 2>&1; then
-		invoke-rc.d apache2 force-reload || :
-	else
-		[ -x /etc/init.d/apache2 ] && /etc/init.d/apache2 force-reload || :
-	fi
-}
-
-configure_kolab() {
-	if command -v kolabconf >/dev/null 2>&1; then
-		kolabconf || :
-	fi
-}
-
-# summary of how this script can be called:
-#        * <postinst> `configure' <most-recently-configured-version>
-#        * <old-postinst> `abort-upgrade' <new version>
-#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
-#          <new-version>
-#        * <postinst> `abort-remove'
-#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
-#          <failed-install-package> <version> `removing'
-#          <conflicting-package> <version>
-# for details, see http://www.debian.org/doc/debian-policy/ or
-# the debian-policy package
-
-
-case "$1" in
-    configure)
-        initialize_horde_db
-        configure_apache
-        configure_kolab
-    ;;
-
-    abort-upgrade|abort-remove|abort-deconfigure)
-    ;;
-
-    *)
-        echo "postinst called with unknown argument \`$1'" >&2
-        exit 1
-    ;;
-esac
-
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
-
-#DEBHELPER#
-
-exit 0

Deleted: kolab-webclient/trunk/debian/postrm
===================================================================
--- kolab-webclient/trunk/debian/postrm	2009-01-25 20:13:40 UTC (rev 1157)
+++ kolab-webclient/trunk/debian/postrm	2009-01-25 20:24:46 UTC (rev 1158)
@@ -1,51 +0,0 @@
-#!/bin/sh
-# postrm script for #PACKAGE#
-#
-# see: dh_installdeb(1)
-
-set -e
-
-horde_config=/etc/horde
-
-rm_diversion() {
-  dpkg-divert --package kolab-webclient --rename --remove "$1"
-}
-
-# summary of how this script can be called:
-#        * <postrm> `remove'
-#        * <postrm> `purge'
-#        * <old-postrm> `upgrade' <new-version>
-#        * <new-postrm> `failed-upgrade' <old-version>
-#        * <new-postrm> `abort-install'
-#        * <new-postrm> `abort-install' <old-version>
-#        * <new-postrm> `abort-upgrade' <old-version>
-#        * <disappearer's-postrm> `disappear' <overwriter>
-#          <overwriter-version>
-# for details, see http://www.debian.org/doc/debian-policy/ or
-# the debian-policy package
-
-
-case "$1" in
-    purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
-        rm_diversion $horde_config/dimp1/conf.php
-        rm_diversion $horde_config/horde3/conf.php
-        rm_diversion $horde_config/imp4/conf.php
-        rm_diversion $horde_config/ingo1/conf.php
-        rm_diversion $horde_config/kronolith2/conf.php
-        rm_diversion $horde_config/mnemo2/conf.php
-        rm_diversion $horde_config/nag2/conf.php
-        rm_diversion $horde_config/turba2/conf.php
-    ;;
-
-    *)
-        echo "postrm called with unknown argument \`$1'" >&2
-        exit 1
-    ;;
-esac
-
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
-
-#DEBHELPER#
-
-exit 0

Deleted: kolab-webclient/trunk/debian/preinst
===================================================================
--- kolab-webclient/trunk/debian/preinst	2009-01-25 20:13:40 UTC (rev 1157)
+++ kolab-webclient/trunk/debian/preinst	2009-01-25 20:24:46 UTC (rev 1158)
@@ -1,50 +0,0 @@
-#!/bin/sh
-# preinst script for #PACKAGE#
-#
-# see: dh_installdeb(1)
-
-set -e
-
-horde_config=/etc/horde
-
-add_diversion() {
-    dpkg-divert --package kolab-webclient --add --rename \
-        --divert "$1.pre-kolab-webclient" "$1"
-}
-
-# summary of how this script can be called:
-#        * <new-preinst> `install'
-#        * <new-preinst> `install' <old-version>
-#        * <new-preinst> `upgrade' <old-version>
-#        * <old-preinst> `abort-upgrade' <new-version>
-# for details, see http://www.debian.org/doc/debian-policy/ or
-# the debian-policy package
-
-
-case "$1" in
-    install|upgrade)
-        add_diversion $horde_config/dimp1/conf.php
-        add_diversion $horde_config/horde3/conf.php
-        add_diversion $horde_config/imp4/conf.php
-        add_diversion $horde_config/ingo1/conf.php
-        add_diversion $horde_config/kronolith2/conf.php
-        add_diversion $horde_config/mnemo2/conf.php
-        add_diversion $horde_config/nag2/conf.php
-        add_diversion $horde_config/turba2/conf.php
-    ;;
-
-    abort-upgrade)
-    ;;
-
-    *)
-        echo "preinst called with unknown argument \`$1'" >&2
-        exit 1
-    ;;
-esac
-
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
-
-#DEBHELPER#
-
-exit 0




More information about the pkg-kolab-devel mailing list